Commands Runes
Total endpoints: 14
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Get All Runes Details
- Endpoint:
/api/v2/commands/get_all_runes_details/ - Function: Execute the
get_all_runes_detailscommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_all_runes_details/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_all_runes_details/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get All Runes Details By Id
- Endpoint:
/api/v2/commands/get_all_runes_details_by_id/ - Function: Execute the
get_all_runes_details_by_idcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_all_runes_details_by_id/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_all_runes_details_by_id/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Clicked Runes
- Endpoint:
/api/v2/commands/get_clicked_runes/ - Function: Execute the
get_clicked_runescommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_clicked_runes/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_clicked_runes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Detected Runes
- Endpoint:
/api/v2/commands/get_detected_runes/ - Function: Execute the
get_detected_runescommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_detected_runes/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_detected_runes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Double Clicked Runes
- Endpoint:
/api/v2/commands/get_double_clicked_runes/ - Function: Execute the
get_double_clicked_runescommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_double_clicked_runes/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_double_clicked_runes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Long Pressed Runes
- Endpoint:
/api/v2/commands/get_long_pressed_runes/ - Function: Execute the
get_long_pressed_runescommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_long_pressed_runes/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_long_pressed_runes/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Rune Angle Of Arrival
- Endpoint:
/api/v2/commands/get_rune_angle_of_arrival/ - Function: Execute the
get_rune_angle_of_arrivalcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/get_rune_angle_of_arrival/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_rune_angle_of_arrival/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Rune Rssi
- Endpoint:
/api/v2/commands/get_rune_rssi/ - Function: Execute the
get_rune_rssicommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/get_rune_rssi/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_rune_rssi/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Clicked
- Endpoint:
/api/v2/commands/is_clicked/ - Function: Execute the
is_clickedcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/is_clicked/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_clicked/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Detected
- Endpoint:
/api/v2/commands/is_detected/ - Function: Execute the
is_detectedcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/is_detected/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_detected/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Double Clicked
- Endpoint:
/api/v2/commands/is_double_clicked/ - Function: Execute the
is_double_clickedcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/is_double_clicked/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_double_clicked/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Long Pressed
- Endpoint:
/api/v2/commands/is_long_pressed/ - Function: Execute the
is_long_pressedcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/is_long_pressed/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_long_pressed/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Rune Association
- Endpoint:
/api/v2/commands/rune_association/ - Function: Execute the
rune_associationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,DictValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/rune_association/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": {"key": "value"}}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/rune_association/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Rune Disassociation
- Endpoint:
/api/v2/commands/rune_disassociation/ - Function: Execute the
rune_disassociationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,DictValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/rune_disassociation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": {"key": "value"}}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/rune_disassociation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.